Ubuntu

Difficult to grab window borders

Reported by Colin Law on 2011-10-19
302
This bug affects 65 people
Affects Status Importance Assigned to Milestone
light-themes (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
metacity (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

In unity-2d it seems that window borders are only 1 pixel wide and are therefore very difficult to grab for window resize.
In 3D it seems that a shadow extends the width of the border so the problem does not occur.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity-2d 4.12.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu3
Architecture: i386
Date: Wed Oct 19 14:33:44 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: unity-2d
UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)

Colin Law (colin-law) wrote :
Alberto Mardegan (mardy) on 2011-10-21
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Oliver Grawert (ogra) wrote :

moving the bug to the right package, metacity is responsible for the window frames in unity-2d

Changed in metacity (Ubuntu):
status: New → Confirmed
Changed in unity-2d (Ubuntu):
status: Confirmed → Invalid
Changed in metacity (Ubuntu Precise):
importance: Undecided → Low
Changed in metacity (Ubuntu Precise):
status: Confirmed → Triaged
Bernd Pfrommer (bernd-pfrommer) wrote :

I have the same issue: it is difficult to grab the borders, especially on large high-res screens. I could not find a way to adjust the size of the borders in unity-2d.

Colin Law (colin-law) wrote :

Just a note for anyone finding this that Alt+F8 can be used to grab the border for re-sizing and Alt+F7 for moving.

Bernd Pfrommer (bernd-pfrommer) wrote :

Another one: Alt + Middle Mouse button resizes as well. Still, I don't want to reach for the keyboard when I'm resizing windows.

Philip I.J.H. (philip-hoflack) wrote :

it's not only unity 2d, that suffers from this, I use the normal 3d environment and resizeing windows with a touchpad on my 18.4 inch screen is VERY irritating

axel (x.) wrote :

middle-mouse button for resizing is not feasible for touchpad users and keyboard-shortcuts do not necessarily make up for usability design weaknesses. i still don't understand why unity (2d, not the 3d-resource-hog) doesn't offer decent configuration/customization options...

Colin Law (colin-law) wrote :

Another workaround is to hack the theme itself. For the Ambiance theme edit /usr/share/themes/Ambiance/metacity-1/metacity-theme-1.xml and in the section starting
<frame_geometry name="frame_geometry_normal"
change left_width, right_width and bottom_height from 1 to 3.
I have not tried it on the Radiance theme but I expect the same change would work there. Keep a note of what you have done as if the theme is updated you might have to do it again.

Tessa Lau (tlau) wrote :

+1. It's particularly annoying when using sloppy focus+autoraise, where the window underneath the one you're trying to resize suddenly pops to the front, obscuring that 1-pixel-wide border that you've been trying to grab.

Jawtheshark (jawtheshark) wrote :

I agree with Philip-hoflack... Same thing with Unity 3D (checked, I have compiz running not metacity). It's next to impossible to resize windows. Workarounds are fine and dandy, but if I give 12.04 LTS to my mother this isn't going to fly. (She's running 10.04 LTS, and I'm really really reluctant to move her to the new LTS)

Rocko (rockorequin) wrote :

Yes, unity 3d has definitely regressed for me, too. It used to be much easier to grab the window borders.

Otus (jan-varho) wrote :

Is there a separate bug for Unity 3D? I see this in both.

Daniel d'Andrada (dandrader) wrote :

@Otus

Yes, check bug 953839

steros (steros) wrote :

Not to be rude, but changing importance to "low" is highly questionable.
Resizing a window is a main task, if it wasn't then you would not need windows anyhow.
Also a lot of people have this problem.

Please rethink this desicion as it is a highly annoying bug.

tags: added: precise
Nathaniel W. Turner (nturner) wrote :

Note that this will be a regression for folks doing LTS upgrades from Lucid to Precise. In Lucid, the default theme at least has a larger border on the bottom of the window.

I'd argue that --- for 2D desktops in Precise --- the default theme's window borders should be fairly beefy for 2 reasons:

1. Differentiating windows: Without shadows to help define the edges of windows, it is can be hard to tell at a glance where one window ends and another begins when they are overlapping. Well-defined window borders would help this.

2. Resizing windows: As noted, it is difficult to "grab" very thin window borders. Larger window borders would help this.

This is a real usability and quality issue that will affect many users when they upgrade from Lucid to Precise.

Nathaniel W. Turner (nturner) wrote :

Question: Shouldn't this bug be against the light-themes package, not metacity?

no longer affects: unity-2d
Nathaniel W. Turner (nturner) wrote :

Here's a very simple patch I hacked together for my own use, in case it's useful to anyone else.

I think that since Unity and GNOME3 don't use metacity as the window manager, this patch should only affect 2D desktops. (I can't test this theory at the moment, though, as Unity "3D" appears to be broken in Precise right now.)

Nathaniel W. Turner (nturner) wrote :

The reason the window borders are hard to grab is because they are 1px wide, which is a theme thing, not an intrinsic issue with the window manager. Changing the package to the one that supplies the default themes for Ubuntu.

affects: metacity (Ubuntu Precise) → light-themes (Ubuntu Precise)
Colin Law (colin-law) wrote :

@Nathaneil: Do you think the borders need to be as much as 5 wide? I thought that 3 seemed enough.

The attachment "Ambiance: larger window borders for Metacity" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

@Colin: I actually think 5px is a bit on the thin side. I started with 4px, and it was definitely too thin to have the effect I wanted. I notice that the grabbable border width provided by 2 other currently-popular window systems seems to be closer to 6 or 7px.

I think somewhere between 5px and 7px is probably right for a default 2D theme, but the exact "sweet spot" is probably somewhat dependent on the DPI and size of the user's monitor(s).

Fabián Rodríguez (magicfab) wrote :

Related: Bug #160311

tags: added: regression-release
Andrea Cimitan (cimi) on 2012-04-27
Changed in light-themes (Ubuntu):
status: Triaged → Invalid
Changed in light-themes (Ubuntu Precise):
status: Triaged → Invalid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in metacity (Ubuntu Precise):
status: New → Confirmed
Changed in metacity (Ubuntu):
status: New → Confirmed
fixor (gormaengda) wrote :

@Colin: Thanks for your workaround in comment 8. I can confirm that it also works for the Radiance theme, although now the borders don't look pretty.

James (morris-570) wrote :

I've had this problem for a while and I can confirm that #8 works, though (at 5px) it shows a bit of a ugly border

The bug is definitely in metacity, not in the theme. The grabbable border should be thick REGARDLESS of whether the visible border is thick or not. Visible border should be set according to aesthetic/design criteria, while width of grabbable border should be according to usability criteria and should not affect the appearence in any way.

Btw this WAS fixed some version ago (I can't remember if it was in Lucid or earlier): I used to have 1px visible border with a much thicker grabbable invisible border. At some point it got broken, This is a regression.

I remember I read somewhere that the fix was disabled "temporarily" for some reason, like it interfered with some other bug or had some side effect. I can't find where I read this.

I'm astonished to see it's not fixed in Precise. How long does it take? How can the imortance be still undecided? This is critical.

Jonas Oscarsson (joscarsson) wrote :

The grab border problem also occurs in for example Eclipse, with the "internal" Eclipse windows. Does not occur in Unity 3D.

Resize border to 3px works for me.
But i think this bug will never be resolved in unity 2d, i heard that
canonical will discontinue unity2d in future versions of ubuntu. Anybody
knows if this is true?

El domingo, 3 de junio de 2012, Jonas Oscarsson <email address hidden>
escribió:

> The grab border problem also occurs in for example Eclipse, with the
> "internal" Eclipse windows. Does not occur in Unity 3D.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/878198
>
> Title:
> Difficult to grab window borders in unity-2d
>
> Status in “light-themes” package in Ubuntu:
> Invalid
> Status in “metacity” package in Ubuntu:
> Confirmed
> Status in “unity-2d” package in Ubuntu:
> Invalid
> Status in “light-themes” source package in Precise:
> Invalid
> Status in “metacity” source package in Precise:
> Confirmed
> Status in “unity-2d” source package in Precise:
> Invalid
>
> Bug description:
> In unity-2d it seems that window borders are only 1 pixel wide and are
> therefore very difficult to grab for window resize.
> In 3D it seems that a shadow extends the width of the border so the
> problem does not occur.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity-2d 4.12.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> ApportVersion: 1.23-0ubuntu3
> Architecture: i386
> Date: Wed Oct 19 14:33:44 2011
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity-2d
> UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/878198/+subscriptions
>

--
Julio_Sao XD

" i heard that
canonical will discontinue unity2d in future versions of ubuntu"

They will have to offer some form of 2d (gnome2d?) because those of us who remote in cannot use 3d.

madbiologist (me-again) wrote :

Re comment #30:

This is off topic for this bug report, so I'll keep it brief.

You can use 3D - you just don't know it yet :) The LLVMpipe driver uses the LLVM compiler to run 3D graphics calculations on the CPU. Fedora Linux is already using this as a fallback when GPU 3D support is not available. Google LLVMpipe if you want to know more.

James (morris-570) wrote :

Sorry, I wasn't referring to people who didn't have the GPU power to run 3d; I was referring to people who use remote software which have not yet implemented these features in their xserver (nx 3.5, x2go, etc.) including llvmpipe.

madbiologist (me-again) wrote :

I would have thought that if it is using an alternative xserver it is not Ubuntu anymore? At least until Wayland hits Ubuntu. Are you running Ubuntu on the client or the server? What exactly is your usage case?

James (morris-570) wrote :

I didn't change the xserver, I'm using a remote connection which uses it's own local xserver. For example, I run x2go, which runs a scaled-back ximing xserver *locally*, however all this means is that all x information is forwarded to this local xserver. I don't have to install gnome, unity, etc locally as this all exists on the server. So I am dependent on the window manager/desktop manager configurations on the server. Said another way, there is no setting I can change locally which would affect bordersize or dekstop type (ubutu-3d/2d), all this must be done on the server (a 100% standard 12.04 install).

@ #33 : My usage case is:
I have several Ubuntu machines running under VirtualBox on my server.
I connect to these VMs using the UltraVNC client remote from my Windows machine.
( I am doing some software development on these Ubuntu machines )
So the xserver runs locally on these Ubuntu systems.
All I want is a fast 2D Desktop environment on these Ubuntu systems, I don't wanna spend
my CPU time for 3D gimmicks

Greg Smolyn (smolyn) wrote :

This problem exists in my VMWare Ubuntu 12.04 64-bit install. +1 please fix, this is a major problem. We have many developers using this set up (under VMWare and Virtualbox). Makes 12.04 almost useless!

In six months since Oneric this bug is not solved it's important for you,
but i suspect is not very important for Cannonical.
I think if you use VMWare or similar programs you should use other desktop
like xfce, or apply the hack commented above (increase manually the border
width of the windows, it works for me in 11.10) better than expect a fix in
precise.

2012/6/13 Greg Smolyn <email address hidden>

> This problem exists in my VMWare Ubuntu 12.04 64-bit install. +1 please
> fix, this is a major problem. We have many developers using this set up
> (under VMWare and Virtualbox). Makes 12.04 almost useless!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/878198
>
> Title:
> Difficult to grab window borders in unity-2d
>
> Status in “light-themes” package in Ubuntu:
> Invalid
> Status in “metacity” package in Ubuntu:
> Confirmed
> Status in “unity-2d” package in Ubuntu:
> Invalid
> Status in “light-themes” source package in Precise:
> Invalid
> Status in “metacity” source package in Precise:
> Confirmed
> Status in “unity-2d” source package in Precise:
> Invalid
>
> Bug description:
> In unity-2d it seems that window borders are only 1 pixel wide and are
> therefore very difficult to grab for window resize.
> In 3D it seems that a shadow extends the width of the border so the
> problem does not occur.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity-2d 4.12.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> ApportVersion: 1.23-0ubuntu3
> Architecture: i386
> Date: Wed Oct 19 14:33:44 2011
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity-2d
> UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/878198/+subscriptions
>

--
Julio_Sao XD

mikelococo (mikelococo) wrote :

Affects both unity 2d and metacity, fixing title.

summary: - Difficult to grab window borders in unity-2d
+ Difficult to grab window borders
Dave Kosewick (dkosewick) wrote :

THAT was alot of scrolling! Too bad I couldn't grab the bottom border to make the browser window taller!

The bug is intolerable and frustrating, and needs to be fixed.

Dave

(Sorry for my english, im not a english speaker)
I have seen that if yo try to grab the right-top corner of the window is
easy to resize windows in unity 2D. In the other hand i think this bug
never will be fixed, because unity2D will dessapear in ubuntu 12.10 (unity
3d will use the llvm pipe driver and will support cards actually not
working)

2012/10/11 Dave Kosewick <email address hidden>

> *** This bug is a duplicate of bug 160311 ***
> https://bugs.launchpad.net/bugs/160311
>
> THAT was alot of scrolling! Too bad I couldn't grab the bottom border to
> make the browser window taller!
>
> The bug is intolerable and frustrating, and needs to be fixed.
>
> Dave
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/878198
>
> Title:
> Difficult to grab window borders
>
> Status in “light-themes” package in Ubuntu:
> Invalid
> Status in “metacity” package in Ubuntu:
> Confirmed
> Status in “unity-2d” package in Ubuntu:
> Invalid
> Status in “light-themes” source package in Precise:
> Invalid
> Status in “metacity” source package in Precise:
> Confirmed
> Status in “unity-2d” source package in Precise:
> Invalid
>
> Bug description:
> In unity-2d it seems that window borders are only 1 pixel wide and are
> therefore very difficult to grab for window resize.
> In 3D it seems that a shadow extends the width of the border so the
> problem does not occur.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity-2d 4.12.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> ApportVersion: 1.23-0ubuntu3
> Architecture: i386
> Date: Wed Oct 19 14:33:44 2011
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386
> (20100429)
> PackageArchitecture: all
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity-2d
> UpgradeStatus: Upgraded to oneiric on 2011-10-14 (4 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/878198/+subscriptions
>

--
Julio_Sao XD

This is terrible, I mean this bug is so obvious that I thought that it would be fixed in no time, so I didn't even bother showing up here.

Please fix this, I'm a web developer and I constantly need to resize the window: so far it's been a nightmare. I also use virtual machines a lot, and tricks like alt + wheel don't work.

Colin Law (colin-law) wrote :

Castor, Have you tried the workaround in comment #8?
Also note that any comments should be on bug #160311 as this is a duplicate of that one.
Since this bug report is only relevant to Unity-2d (which is not used after 12.04) I suspect that it is unlikely to receive any attention. I may be wrong however.

jim davies (jimdav2002) wrote :

Fresh 12.04 LTS install, freshly updated, & it's not difficult to resize - it's totally impossible. Zero pixels activate the corner icon or height-width resizing icon. Tweaking compiz does nothing. Noticed the problem with eog but it's universal - & changing themes doesn't help either.

Xfce gets it right: useable borders & a corner grabber. Surely this can be done, with or without a visible border.

Whoever set the status as "low" is dreaming: this kind of massive - & needless - headache over very basic & vital desktop activity is exactly the kind of absurdity that leads people to uninstall Ubuntu & never return. After more than a year there's still no fix yet? This needs to be a top priority to fix if you expect new users to stick with this OS.

James (morris-570) wrote :

just want to say for those still stuck with this bug, and I'm not sure it's an option for you all. But I moved to lxde, and you might want to try a different window manager. This bug has been so persistent for so long I'm you might want to try and just find your own workround, i.e. a different window manager.

Mike Fowler (fowler-bandgap) wrote :

It's one of those things that make Unity so unbearable. And Ubuntu a lousy company.

Mike Fowler (fowler-bandgap) wrote :

Cannonical that is.

Bob Brunius (rbrunius) wrote :

I'm experiencing this bug also and it's driving me crazy. Ubuntu 12.04 with Unity.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers